# $Revision: 1.8.2.1 $, $Date: 2004/01/28 07:41:29 $
Summary:	Balancing of IRQs between multiple CPUs
Summary(pl):	Rozdzielanie IRQ pomidzy wiele procesorw
Name:		irqbalance
Version:	0.08
Release:	2
License:	OSL v1.1
Group:		Applications/System
Source0:	http://people.redhat.com/arjanv/irqbalance/%{name}-%{version}.tar.gz
# Source0-md5:	da39e9ff770b01329796ad8258e972d6
Source1:	%{name}.init
Patch0:		%{name}-opt.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Balancing of IRQs between multiple CPUs.

%description -l pl
Narzdzie do rozdzielania przerwa IRQ pomidzy wiele procesorw.

%prep
%setup -q -n %{name}
%patch -p1

%build
%{__make} %{?debug:debug} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/rc.d/init.d}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add irqbalance
if [ -f /var/lock/subsys/irqbalance ]; then
        /etc/rc.d/init.d/irqbalance restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/irqbalance start\" to start irqbalance daemon."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/irqbalance ]; then
                /etc/rc.d/init.d/irqbalance stop 1>&2
        fi
        /sbin/chkconfig --del irqbalance
fi

%files
%defattr(644,root,root,755)
%doc Changelog TODO
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%attr(754,root,root) /etc/rc.d/init.d/irqbalance

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irqbalance.spec,v $
Revision 1.8.2.1  2004/01/28 07:41:29  ankry
- rel. 2 for Ra

Revision 1.8  2004/01/27 20:36:47  arekm
- added initscript

Revision 1.7  2004/01/25 09:54:26  ankry
- rel. 2

Revision 1.6  2004/01/25 09:52:20  ankry
- added man page

Revision 1.5  2003/12/15 00:11:00  qboosh
- 0.08, updated opt patch

Revision 1.4  2003/07/14 09:06:22  qboosh
- added opt patch, pass CC and OPT

Revision 1.3  2003/07/13 22:23:36  qboosh
- pl

Revision 1.2  2003/07/11 23:25:07  arekm
- fix md5

Revision 1.1  2003/07/11 22:25:44  arekm
- initial pld release
